compCorr {maigesPack} | R Documentation

## Compute correlation differences and their p-values

### Description

This function takes two correlation values (or matrices of correlation values) and calculate the differences between these values (term by term) and their respective p-values by a Fisher's Z transformation.

### Usage

    compCorr(n1, r1, n2, r2)

### Arguments

`n1` | numerical or matrix of sample sizes for group 1.
`r1` | numerical or matrix of correlation values for group 1.
`n2` | numerical or matrix of sample sizes for group 2.
`r2` | numerical or matrix of correlation values for group 2.

### Details

This function use Fisher's Z transformation from scripts adapted from the Internet:
http://ftp.sas.com/techsup/download/stat/compcorr.html
http://www.fon.hum.uva.nl/Service/Statistics/Two_Correlations.html

### Value

The result of this function is a list with two numerical items.

`diff` | matrix (or a single number) of differences between correlation values from two groups
`pval` | matrix (or a single number) of p-values of differences between the correlation values

### Author(s)

Gustavo H. Esteves <gesteves@vision.ime.usp.br>

### Examples

    compCorr(12, 0.9, 16, 0.73)

[Package maigesPack version 1.4.0 Index]